/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ILauncher.java 1941 2007-10-14 17:57:14Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.easybeans.osgi.plugins.launcher.api;

/**
 * Common interface for a local or remote launcher.
 * @author Florent BENOIT
 */
public interface ILauncher {

    /**
     * Start the framework manager used by this launcher.
     * @throws LauncherException if there is a failure during the start.
     */
    void start() throws LauncherException;

    /**
     * Stop the framework manager used by this launcher.
     * @throws LauncherException if there is a failure during the stop.
     */
    void stop() throws LauncherException;

}
